#!/usr/bin/perl

##
##  example.pl
##  Example perl-module for receiving ir-data-packets with the codes sent by the remote-control
##
##  $uird->install_callback( <sub-ref>)  tells Uird which subroutine to call everytime a button was pressed
##  $uird->do( <timeout>)		 call the "event-loop" (which primarily consists of a select-statement for waiting in IO from the socket), 
##					 returns when the time-out has expired (or earlier if a packet was received)
##  my $uird = new Uird( password => "<password>");  For using the password checking feature (rudimentary clear-text password sent in each packet)


use Uird;

my $uird = new Uird;

$uird->install_callback( sub { print "Button was pressed! Code=".join( "-", @_)."\n"; } );

while( 1) {
  $uird->do( 0.5);
}


