/*
 *  uird.h
 *  Copyright (C) 2000, 2001  Carl Bingel, bingel@dacom.se
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


struct handler_list {
  char datastring[6];
  unsigned char operation;
  char *command;
  struct handler_list *next;
};

struct handlers {
  struct handler_list *h_normal;
  struct handler_list *h_default;
  struct handler_list *h_always;  
};

struct options_struct {
  char *config_file_name;
  char *tty_name;
  char operation_mode;  // 0=Normal, 1=Code-testing-mode, 2=Perl-mode, 3=Learning-mode
  char *perl_file_name;
  char *perl_handler_name;
  char daemon_mode;
  char *udp_dst_addr;
  int udp_dst_port;
  char *udp_passwd;
};

struct network_message_struct {
    char magic_id[ 5];
    unsigned char msgtype;      // 0=IR-module initialized, 1=Error initializing IR-module, 2=Data received, 3=Daemon exiting
    char password[ 9];
    unsigned char data[ 6];
};


